// sternwarte.js   rxf   2020-09-25
// Diverse Hilfsroutinen für die einzelnen Seiten
//

$(document).ready(() => {

    let maintenance = false;

    // Optionen für die Anzeige der Fotos
    // $("a[rel^='prettyPhoto']").prettyPhoto({
    //     animationSpeed: 'normal',           /* fast/slow/normal */
    //     padding: 20,                        /* padding for each side of the picture */
    //     opacity: 1,                         /* Value betwee 0 and 1 */
    //     showTitle: false,                   /* true/false */
    //     allowresize: true,                  /* true/false */
    //     counter_separator_label: '/',       /* The separator for the gallery counter 1 "of" 2 */
    //     theme: 'dark_rounded',              /* light_rounded / dark_rounded / light_square / dark_square */
    //     callback: function () {
    //     }
    // });

    // Klick auf den Datenschutz-Button
    $('#dschu').click(function() {
        $("#datenschutz").dialog('open');
        return false;
    });

    // Anzeige der Datenschutzerklärung
    $("#datenschutz").dialog({
        autoOpen: false,
        width: 800,
        modal: true,
        position: 'center',
        title: 'Datenschutz',
        open:
            function() {
                $(this).load('datenschutztext.html');
            },
        buttons: [
            {
                text: "Schließen",
                click : function() {
                    $(this).dialog("close");
                },
                width: 150,
            }
        ],
    });


    // Click auf 'Zeiten' auf der HOME-Page: Dialogbox öffnen
    $('a[href="#zeiten"]').click(() => {
        $("#fzeiten").dialog('open');
        return false;
    });

    // Anzeige der Führungszeiten
    $("#fzeiten").dialog({
        autoOpen: false,
        width: 800,
        modal: true,
        position: 'center',
        title: 'Führungszeiten',
        open:
            function() {
                $(this).load('fuehrungen_txt.html');
            },
        buttons: [
            {
                text: "Schließen",
                click : function() {
                    $(this).dialog("close");
                },
                width: 150,
            }
        ],
    });

    // ggf. den Maintenance-Dialog einblenden
    var dialogMaint = $('#maintdialog').dialog({
        autoOpen:false,
        closeOnEscape: false,
        open: function(event, ui) {
            $(".ui-dialog-titlebar-close").hide();
            $(this).load('maint.html', function() {
            });
        },
        width:800,
        modal: true,
        resizable:false,
        position: {my:'center top+30%', at: 'center top+30%'},
    });

    if (maintenance == true) {
        dialogMaint.dialog('open');
    }


});

